## jcifs 1.2.7

=== examples/Makefile ===
JAVA_HOME=/usr/local/java
CLASSPATH=../build:.

.SUFFIXES: .java .class

CLASSFILES=AllocInfo.class Append.class AuthListFiles.class CallNamedPipe.class CopyTo.class CreateFile.class Delete.class Equals.class Exists.class FileInfo.class FileOps.class FilterFiles.class Format.class GetDate.class GetDfsPath.class Get.class GetType.class GetURL.class GrowWrite.class HttpURL.class Interleave.class IsDir.class Length.class ListFiles.class List.class ListTypes.class Mkdir.class NodeStatus.class OpenExclusive.class PeekNamedPipe.class PipeTalk.class Put.class Query.class RenameTo.class SetAttrs.class SetTime.class SlowRead.class SlowWrite.class SmbCrawler.class SmbShell.class SmbTableFile.class SmbTableFileRecord.class T2Crawler.class TestRandomAccess.class TestSmbURL.class TestUnicode.class ThreadedNbtQuery.class ThreadedSmbCrawler.class ThreadedUniQuery.class Torture1.class Torture2.class TortureTest5.class TransactNamedPipe.class URLTest.class VerifyGuest.class VerifyIO.class VerifyReads.class

all: ${CLASSFILES}

.java.class:
	${JAVA_HOME}/bin/javac -classpath ${CLASSPATH} $<

clean:
	${RM} *.class

## jcifs 1.2.17

=== examples/Makefile ===
JAVA_HOME=/usr/local/java
CLASSPATH=../build:.

.SUFFIXES: .java .class

CLASSFILES=GetGroupMemberSidsFromURL.class ListACL.class LargeListFiles.class GetShareSecurity.class CountPerms.class AclCrawler.class SidCacheTest.class GetSecurity.class SidCrawler.class InterruptTest.class AllocInfo.class Append.class AuthListFiles.class CallNamedPipe.class CopyTo.class CreateFile.class Delete.class Equals.class Exists.class FileInfo.class FileOps.class FilterFiles.class Format.class GetDate.class GetDfsPath.class Get.class GetType.class GetURL.class GrowWrite.class HttpURL.class Interleave.class IsDir.class Length.class ListFiles.class List.class ListTypes.class Mkdir.class NodeStatus.class OpenExclusive.class PeekNamedPipe.class PipeTalk.class Put.class Query.class RenameTo.class SetAttrs.class SetTime.class SlowRead.class SlowWrite.class SmbCrawler.class SmbShell.class SmbTableFile.class SmbTableFileRecord.class T2Crawler.class TestRandomAccess.class TestSmbURL.class TestUnicode.class ThreadedNbtQuery.class ThreadedSmbCrawler.class ThreadedUniQuery.class Torture1.class Torture2.class TortureTest5.class TransactNamedPipe.class URLTest.class VerifyGuest.class VerifyIO.class VerifyReads.class

all: ${CLASSFILES}

.java.class:
	${JAVA_HOME}/bin/javac -classpath ${CLASSPATH} $<

clean:
	${RM} *.class

## jcifs 1.3.12

=== examples/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-JAVA_HOME=/usr/local/java
+JAVA_HOME=/usr/local/java4
 CLASSPATH=../build:.
 
 .SUFFIXES: .java .class

## jcifs 1.3.16

=== debian/changelog ===
jcifs (1.3.16-1) unstable; urgency=low

  * Team upload
  * New upstream release.
  * Switch to source format 3.0.
  * Add another patch that removed the path to a non-existent compiler.

 -- Torsten Werner <twerner@debian.org>  Sat, 06 Aug 2011 16:51:13 +0200

jcifs (1.3.12-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on default-jdk.
  * Build-Depends on debhelper (>= 7).
  * Build-Depends on libservlet2.5-java instead of libservlet2.3-java.
  * Add missing Depends: ${misc:Depends}.
  * Moved package to section 'java'.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 02 Oct 2009 23:11:05 +0200

jcifs (1.2.22-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Sat, 05 Jul 2008 03:04:27 +0530

jcifs (1.2.21-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Varun Hiremath <varun@debian.org>  Sun, 22 Jun 2008 18:25:42 +0530

jcifs (1.2.19-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Tue, 08 Apr 2008 12:41:04 +0530

jcifs (1.2.18-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Thu, 21 Feb 2008 16:17:15 +0530

jcifs (1.2.17-1) unstable; urgency=low

  * New Upstream Release
  * Add a watch file.
  * debian/orig-tar.sh:  
    + Automate repackaging.
    + Remove example Format.java, since it is not allowed for
      commercial use.
  * debian/README.Debian-source:
    + Update for new repackaging information.
  * debian/libjcifs-java.examples:
    + Include upstream supplied examples.
  * debian/copyright:
    + Add upstream authors, update licenses and copyrights.
    + Point to LGPL 2.1, instead of LGPL (for common-license).
  * debian/control:
    + Add Homepage field.
    + Add Vcs-Svn and Vcs-Browser.
    + Update description.
    + Build-Depend on java-gcj-compat-dev instead of kaffe.
    + Depend on java-gcj-compat instead of kaffe.
    + Update standards version.
    + Move debhelper and cdbs to Build-Depends.
  * debian/rules:
    + Use java-gcj to build.
    + Use DEB_UPSTREAM_VERSION instead of parsing the changelog.
    + Add get-orig-source rule.
    + Don't compress examples.
  * debian/patches/01_build_xml.patch:
    + Removed, since not necessary with java-gcj.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 08 Nov 2007 22:58:49 +0530

jcifs (1.2.7-1) unstable; urgency=low

  * New upstream release
  * kaffe compiler transition
  * Fixed missing source section entry (pointed out by linda)

 -- Wolfgang Baer <WBaer@gmx.de>  Wed, 18 Jan 2006 17:18:31 +0100

jcifs (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Registered documentation with doc-base
  * libant1.6-java to ant transition
  * Updated FSF address
  * Fixed double spaces in description to fix linda warning
  * Standards-Version 3.6.2 (no changes)

  * Upload sponsored by Arnaud Vandyck

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 11 Sep 2005 16:48:45 +0200

jcifs (1.1.8-1) experimental; urgency=low

  * Initial Release (closes: #294759)

 -- Wolfgang Baer <WBaer@gmx.de>  Fri, 11 Feb 2005 14:58:19 +0100

=== debian/control ===
Source: jcifs
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kumar Appaiah <akumar@ee.iitm.ac.in>, Varun Hiremath <varun@debian.org>, Michael Koch <konqueror@gmx.de>
Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant
Build-Depends-Indep: libservlet2.5-java
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jcifs
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jcifs
Homepage: http://jcifs.samba.org

Package: libjcifs-java
Architecture: all
Depends: default-jre | java1-runtime | java2-runtime, ${misc:Depends}
Suggests: libjcifs-java-doc
Description: java library for the CIFS/SMB networking protocol
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).

Package: libjcifs-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjcifs-java
Description: Documentation for libjcifs-java (CIFS/SMB library for java)
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).
 .
 The documentation includes the javadoc API as well as
 the html manual and several examples.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for jcifs (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS := servlet-api-2.5
DEB_ANT_BUILD_TARGET := jar javadoc
DEB_ANT_CLEAN_TARGET := clean
DEB_COMPRESS_EXCLUDE := *.c *.java

clean::
	-$(RM) *.jar
	-$(RM) -Rf docs/api

install/libjcifs-java::
	# remove empty generated package-lists
	-$(RM) -f docs/api/package-list
	install -m 644 jcifs-$(DEB_UPSTREAM_VERSION).jar debian/libjcifs-java/usr/share/java/jcifs-$(DEB_UPSTREAM_VERSION).jar
	ln -s jcifs-$(DEB_UPSTREAM_VERSION).jar debian/libjcifs-java/usr/share/java/jcifs.jar

.PHONY: get-orig-source

get-orig-source:
	-uscan --upstream-version 0

## jcifs 1.3.17

=== examples/Makefile ===
JAVA_HOME=/usr/local/java5
CLASSPATH=../build:.

.SUFFIXES: .java .class

CLASSFILES=TestListLoop.class TestGetParent.class SidLookup.class GetGroupMemberSidsFromURL.class ListACL.class LargeListFiles.class GetShareSecurity.class CountPerms.class AclCrawler.class SidCacheTest.class GetSecurity.class SidCrawler.class InterruptTest.class AllocInfo.class Append.class AuthListFiles.class CallNamedPipe.class CopyTo.class CreateFile.class Delete.class Equals.class Exists.class FileInfo.class FileOps.class FilterFiles.class GetDate.class GetDfsPath.class Get.class GetType.class GetURL.class GrowWrite.class HttpURL.class Interleave.class IsDir.class Length.class ListFiles.class List.class ListTypes.class Mkdir.class NodeStatus.class OpenExclusive.class PeekNamedPipe.class PipeTalk.class Put.class Query.class RenameTo.class SetAttrs.class SetTime.class SlowRead.class SlowWrite.class SmbCrawler.class SmbTableFile.class SmbTableFileRecord.class T2Crawler.class TestRandomAccess.class TestSmbURL.class TestUnicode.class ThreadedNbtQuery.class ThreadedSmbCrawler.class ThreadedUniQuery.class Torture1.class Torture2.class TortureTest5.class TransactNamedPipe.class URLTest.class VerifyGuest.class VerifyIO.class VerifyReads.class

all: ${CLASSFILES}

.java.class:
	${JAVA_HOME}/bin/javac -classpath ${CLASSPATH} $<

clean:
	${RM} *.class

=== debian/changelog ===
jcifs (1.3.17-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.4
  * Build-Depends on libservlet3.0-java instead of libservlet2.5-java
  * Removed the dependency on the JRE (not required for libraries)
  * The upstream changelog is now included in the package
  * Removed the examples from the libjcifs-java package
  * Removed Michael Koch from the Uploaders list (Closes: #654033)
  * Use canonical URLs for the Vcs-* fields
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Jul 2013 10:47:56 +0200

=== debian/control ===
Source: jcifs
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kumar Appaiah <akumar@ee.iitm.ac.in>, Varun Hiremath <varun@debian.org>, Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant
Build-Depends-Indep: libservlet3.0-java
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/jcifs
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/jcifs
Homepage: http://jcifs.samba.org

Package: libjcifs-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libjcifs-java-doc
Description: Java library for the CIFS/SMB networking protocol
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).

Package: libjcifs-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjcifs-java
Description: Documentation for libjcifs-java (CIFS/SMB library for Java)
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).
 .
 The documentation includes the javadoc API as well as
 the html manual and several examples.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,11 @@
 
 JAVA_HOME := /usr/lib/jvm/default-java
 
-DEB_JARS := servlet-api-2.5
+DEB_JARS := servlet-api-3.0
 DEB_ANT_BUILD_TARGET := jar javadoc
 DEB_ANT_CLEAN_TARGET := clean
 DEB_COMPRESS_EXCLUDE := *.c *.java
+DEB_INSTALL_CHANGELOGS_ALL := README.txt
 
 clean::
 	-$(RM) *.jar

## jcifs 1.3.18

=== debian/changelog ===
jcifs (1.3.18-2) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Apr 2015 08:50:13 +0200

jcifs (1.3.18-1) experimental; urgency=medium

  [ Emmanuel Bourg ]
  * New upstream release
  * Build-Depends on libservlet3.1-java instead of libservlet3.0-java
  * Standards-Version updated to 3.9.6 (no changes)
  * Use XZ compression for the upstream tarball
  * Moved the package to Git
  * Switch to debhelper level 9

  [ Kumar Appaiah ]
  * debian/control:
    + Remove Kumar Appaiah from uploaders

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 31 Mar 2015 17:16:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Kumar Appaiah <akumar@ee.iitm.ac.in>, Varun Hiremath <varun@debian.org>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant
-Build-Depends-Indep: libservlet3.0-java
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/jcifs
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/jcifs
+Uploaders: Varun Hiremath <varun@debian.org>, Emmanuel Bourg <ebourg@apache.org>
+Build-Depends: debhelper (>= 9), cdbs, default-jdk, ant
+Build-Depends-Indep: libservlet3.1-java
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/jcifs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/jcifs.git
 Homepage: http://jcifs.samba.org
 
 Package: libjcifs-java

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 JAVA_HOME := /usr/lib/jvm/default-java
 
-DEB_JARS := servlet-api-3.0
+DEB_JARS := servlet-api-3.1
 DEB_ANT_BUILD_TARGET := jar javadoc
 DEB_ANT_CLEAN_TARGET := clean
 DEB_COMPRESS_EXCLUDE := *.c *.java

=== debian/watch ===
version=3
http://jcifs.samba.org/src/ jcifs-([\d\.]*).tgz debian debian/orig-tar.sh

## jcifs 1.3.19

=== examples/Makefile ===
JAVA_HOME=/usr/local/java5
CLASSPATH=../build:.

.SUFFIXES: .java .class

CLASSFILES=ExistsAuth.class TestListLoop.class TestGetParent.class SidLookup.class GetGroupMemberSidsFromURL.class ListACL.class LargeListFiles.class GetShareSecurity.class CountPerms.class AclCrawler.class SidCacheTest.class GetSecurity.class SidCrawler.class InterruptTest.class AllocInfo.class Append.class AuthListFiles.class CallNamedPipe.class CopyTo.class CreateFile.class Delete.class Equals.class Exists.class FileInfo.class FileOps.class FilterFiles.class GetDate.class GetDfsPath.class Get.class GetType.class GetURL.class GrowWrite.class HttpURL.class Interleave.class IsDir.class Length.class ListFiles.class List.class ListTypes.class Mkdir.class NodeStatus.class OpenExclusive.class PeekNamedPipe.class PipeTalk.class Put.class Query.class RenameTo.class SetAttrs.class SetTime.class SlowRead.class SlowWrite.class SmbCrawler.class SmbTableFile.class SmbTableFileRecord.class T2Crawler.class TestRandomAccess.class TestSmbURL.class TestUnicode.class ThreadedNbtQuery.class ThreadedSmbCrawler.class ThreadedUniQuery.class Torture1.class Torture2.class TortureTest5.class TransactNamedPipe.class URLTest.class VerifyGuest.class VerifyIO.class VerifyReads.class

all: ${CLASSFILES}

.java.class:
	${JAVA_HOME}/bin/javac -classpath ${CLASSPATH} $<

clean:
	${RM} *.class

=== debian/changelog ===
jcifs (1.3.19-2) unstable; urgency=medium

  * Team upload.
  * Make the dependency on the servlet API optional by using
   <scope>provided</scope>. Thanks to Yadickson Soto for the report.
   (Closes: #888040)

 -- Markus Koschany <apo@debian.org>  Tue, 23 Jan 2018 23:11:30 +0100

jcifs (1.3.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.19.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Refresh all patches.

 -- Markus Koschany <apo@debian.org>  Thu, 18 Jan 2018 14:39:43 +0100

jcifs (1.3.18-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs fields: Use https.
  * wrap-and-sort -sa.
  * Use only Build-Depends field.
  * Switch from cdbs to dh sequencer.
  * Provide Maven artifacts. Build with maven-repo-helper. (Closes: #822188)

 -- Markus Koschany <apo@debian.org>  Fri, 29 Apr 2016 15:31:33 +0200

=== debian/control ===
Source: jcifs
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Varun Hiremath <varun@debian.org>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 debhelper (>= 11),
 default-jdk,
 libservlet3.1-java,
 maven-repo-helper
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/jcifs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jcifs.git
Homepage: http://jcifs.samba.org

Package: libjcifs-java
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 libjcifs-java-doc
Description: Java library for the CIFS/SMB networking protocol
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).

Package: libjcifs-java-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 libjcifs-java
Description: Documentation for libjcifs-java (CIFS/SMB library for Java)
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).
 .
 The documentation includes the javadoc API as well as
 the html manual and several examples.

=== debian/watch ===
version=3
https://jcifs.samba.org/src/ jcifs-([\d\.]*).tgz debian debian/orig-tar.sh

## jcifs 1.3.19+dfsg

=== debian/changelog ===
jcifs (1.3.19+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New Homepage
  * Fix watch file
  * Prepare upstream source via Files-Excluded and mark repackaging via +dfsg
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jan 2025 16:41:06 +0100

=== debian/control ===
Source: jcifs
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>,
           Emmanuel Bourg <ebourg@apache.org>
Section: java
Priority: optional
Build-Depends: ant,
               debhelper-compat (= 13),
               default-jdk-headless,
               libservlet3.1-java,
               maven-repo-helper
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/jcifs
Vcs-Git: https://salsa.debian.org/java-team/jcifs.git
Homepage: https://www.jcifs.org/

Package: libjcifs-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libjcifs-java-doc
Description: Java library for the CIFS/SMB networking protocol
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).

Package: libjcifs-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libjcifs-java
Description: Documentation for libjcifs-java (CIFS/SMB library for Java)
 JCIFS is an Open Source client library that implements the CIFS/SMB
 networking protocol in 100% Java. CIFS is the standard file sharing
 protocol on the Microsoft Windows platform (e.g. Map Network Drive ...).
 .
 The documentation includes the javadoc API as well as
 the html manual and several examples.

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME := /usr/lib/jvm/default-java
export CLASSPATH := /usr/share/java/servlet-api-3.1.jar

%:
	dh $@ --with maven_repo_helper --buildsystem=ant

override_dh_auto_build:
	dh_auto_build -- jar javadoc

override_dh_auto_clean:
	dh_auto_clean -- clean

override_dh_compress:
	dh_compress -X.c -X.java

override_dh_installchangelogs:
	dh_installchangelogs README.txt

override_dh_clean:
	dh_clean
	-$(RM) *.jar
	-$(RM) -Rf docs/api

override_dh_install:
	# remove empty generated package-lists
	-$(RM) -f docs/api/package-list
	dh_install

.PHONY: get-orig-source

get-orig-source:
	-uscan --upstream-version 0

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://www.jcifs.org/src/jcifs-(\d[\d\.]+)\.tgz
